Bug 843396 - Summary field in header of generated CSV file is missing
Summary field in header of generated CSV file is missing
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Matt Tyson
Simon Green
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2012-07-26 04:43 EDT by Jan Stodola
Modified: 2014-10-12 18:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-30 17:14:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Generated CSV file (311 bytes, text/plain)
2012-07-26 04:44 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2012-07-26 04:43:23 EDT
Description of problem:
When bugzilla generates a CVS file for a bugzilla query, header (the first line in CSV file) doesn't contain the name of column with summaries.

Content of generated CSV file:
"Bug ID","Status","Resolution","Component","Priority",,"Keywords","Devel Whiteboard","Blocks"
750584,"CLOSED","WONTFIX","anaconda","urgent","DVD media from FlashUSB does not find any packages","Reopened",,
585621,"CLOSED","WONTFIX","anaconda","urgent","anaconda hangs when booting development fc13 installer",,,

Bugzilla query:

Version-Release number of selected component (if applicable):
bugzilla 4.2.1-3.3

How reproducible:

Steps to Reproduce:
1. Search for a list of bugs via web UI
2. Generate CSV file from the search result
Actual results:
Summaries column doesn't have a description in the first line of CSV file:
"Bug ID","Status","Resolution","Component","Priority",,"Keywords","Devel Whiteboard","Blocks"

Expected results:
Summaries column has a description like this:
"Bug ID","Status","Resolution","Component","Priority","Summary","Keywords","Devel Whiteboard","Blocks"
Comment 1 Jan Stodola 2012-07-26 04:44:49 EDT
Created attachment 600459 [details]
Generated CSV file
Comment 2 Matt Tyson 2012-08-29 02:24:15 EDT
Every CSV file I've generated (your URL included) works fine and contains the Summary column header.
Comment 3 Jan Stodola 2012-08-29 03:46:42 EDT
There are actually two types of Summary column available:

* Summary (Full)
* Summary (first 60 characters)

If you add both of them to the generated CSV file (using "Change Columns" link on the page with found bugs), you can see that the column for "Summary (first 60 characters)" doesn't have the column header generated.

Sorry for the confusion, reopening this bug.
Comment 6 Simon Green 2012-08-30 17:14:03 EDT
We'll inherit this change from upstream. It was marked as r+ a+ a4.2+ yesterday.

Note You need to log in before you can comment on or make changes to this bug.